

#include "BUILTIN.h"

#include "Nat.h"
extern OBJ __ASeq_6;

#include "ProcessInterrupt.h"
OBJ __AProcessInterrupt_AreadInterrupts; /* readInterrupts */
extern OBJ _AProcessInterrupt_AcInterrupts(OBJ);OBJ __AProcessInterrupt_AcInterrupts; /* cInterrupts */

#include "ProcessInterrupt.hc.c"


init_AProcessInterrupt()
{
 static int visited=0; if(visited) return; visited=1;
 init_ANat();
 init_ACom();
 init_AVoid();
 init_ASeq();
 init_AOption();
 init_ASeqMap();
 CLS(1,_AProcessInterrupt_2,__AProcessInterrupt_2);
 init_const_AProcessInterrupt();
 /* __AProcessInterrupt_AreadInterrupts */
 CPCLS(__AProcessInterrupt_AcInterrupts,1);
 PRD(2,0,__AProcessInterrupt_AreadInterrupts);FLD(__AProcessInterrupt_AreadInterrupts,1)=__AProcessInterrupt_AcInterrupts;FLD(__AProcessInterrupt_AreadInterrupts,2)=__ASeq_6;}

